<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<style type="text/css">
div.container {
	display: flex;
	height: 100vh;
	background-color: yellow;
}

div.container div {
	border: 1px solid black;
	width: 70px;
	height: 70px;
}

div.container div:nth-of-type(1) {
	order: 1; /* item 순서 지정 */
	flex-grow: 1; /* 늘어나는 배율 */
	flex-shrink: 2; /* 줄어드는 배율. 부모의 크기보다 자식들의 크기가 클 경우 자식의 크기도 함께 줄어드는데 그 때의 배율*/
	flex-basis: auto; /* 아이템의 기본 크기 */
	flex: 1 2 auto; /* flex-grow flex-shrink flex_basis */
	align-self: center; /* 아이템의 위치 정렬 */
}

div.container div:nth-of-type(2) {
	order: 3;
	flex-grow: 1;
	flex-shrink: 3;
}

div.container div:nth-of-type(3) {
	order: 2;
	flex-grow: 1;
	flex-shrink: 1;
}
</style>
</head>
<body>
<div class="container">
	<div>1</div>
	<div>2</div>
	<div>3</div>
	<div>4</div>
</div>
</body>
</html>